diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
index bd0cbf46..1d84c36c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
@@ -4,9 +4,7 @@ define('pgadmin.node.table_partition_utils', [
 ], function(gettext, $, _, Backbone, pgBrowser, Backform, Backgrid) {
 
   Backgrid.PartitionRow = Backgrid.Row.extend({
-    modelDuplicateColor: 'lightYellow',
-
-    modelUniqueColor: '#fff',
+    modelDuplicateClass: 'bg-model-duplicate',
 
     initialize: function () {
       Backgrid.Row.prototype.initialize.apply(this, arguments);
@@ -34,10 +32,10 @@ define('pgadmin.node.table_partition_utils', [
     },
     modelDuplicate: function() {
       $(this.el).removeClass('new');
-      this.el.style.backgroundColor = this.modelDuplicateColor;
+      $(this.el).addClass(this.modelDuplicateClass);
     },
     modelUnique: function() {
-      this.el.style.backgroundColor = this.modelUniqueColor;
+      $(this.el).removeClass(this.modelDuplicateClass);
     },
   });
 
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 987c3bab..7a365cba 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -69,9 +69,7 @@ define([
        * variable name.
        */
     var VariableRow = Backgrid.Row.extend({
-      modelDuplicateColor: 'lightYellow',
-
-      modelUniqueColor: '#fff',
+      modelDuplicateClass: 'bg-model-duplicate',
 
       initialize: function () {
         Backgrid.Row.prototype.initialize.apply(this, arguments);
@@ -101,10 +99,10 @@ define([
       },
       modelDuplicate: function() {
         $(this.el).removeClass('new');
-        this.el.style.backgroundColor = this.modelDuplicateColor;
+        $(this.el).addClass(this.modelDuplicateClass);
       },
       modelUnique: function() {
-        this.el.style.backgroundColor = this.modelUniqueColor;
+        $(this.el).removeClass(this.modelDuplicateClass);
       },
 
     });
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index decbd98d..d25ea543 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -348,7 +348,7 @@ define('pgadmin.browser', [
         '#dockerContainer', {
           allowContextMenu: true,
           allowCollapse: false,
-          themePath: '../static/css/',
+          themePath: '../static/css',
           theme: 'webcabin.overrides.css',
         });
       if (obj.docker) {
diff --git a/web/pgadmin/browser/static/js/menu.js b/web/pgadmin/browser/static/js/menu.js
index d236a897..985bc120 100644
--- a/web/pgadmin/browser/static/js/menu.js
+++ b/web/pgadmin/browser/static/js/menu.js
@@ -80,9 +80,9 @@ define([
       var icon = this.$el.find('i');
 
 
-      span.addClass('font-gray-4');
+      span.addClass('text-gray');
       span.removeClass('font-white');
-      icon.addClass('font-gray-4');
+      icon.addClass('text-gray');
       icon.removeClass('font-white');
     },
 
@@ -91,15 +91,15 @@ define([
       var span = this.$el.find('span');
 
       span.addClass('font-white');
-      span.removeClass('font-gray-4');
+      span.removeClass('text-gray');
       element.find('i').addClass('font-white');
-      element.find('i').removeClass('font-gray-4');
+      element.find('i').removeClass('text-gray');
 
       span.on('mouseover',() => {
-        element.addClass('bg-gray-5');
+        element.addClass('bg-gray-dark');
       });
       span.on('mouseout',() => {
-        element.removeClass('bg-gray-5');
+        element.removeClass('bg-gray-dark');
       });
     },
 
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index bef03ae5..eba052d9 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -314,7 +314,7 @@ define('pgadmin.browser.node', [
 
           var onSessionInvalid = function(msg) {
             var alertMessage = '\
-              <div class="media error-in-footer bg-red-1 border-red-2 font-red-3 text-14">\
+              <div class="media error-in-footer bg-danger-lighter border-danger-light text-danger text-14">\
                 <div class="media-body media-middle">\
                   <div class="alert-icon error-icon">\
                     <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>\
@@ -1168,7 +1168,7 @@ define('pgadmin.browser.node', [
               },
             });
 
-            createButtons(buttons, 'header', 'pg-prop-btn-group-above bg-gray-2 border-gray-3');
+            createButtons(buttons, 'header', 'pg-prop-btn-group-above bg-gray-lighter border-gray-light');
           }
           j.append(content);
         }.bind(panel),
@@ -1424,7 +1424,7 @@ define('pgadmin.browser.node', [
                   }, 0);
                 });
               },
-            }], 'footer', 'pg-prop-btn-group-below bg-gray-2 border-gray-3');
+            }], 'footer', 'pg-prop-btn-group-below bg-gray-lighter border-gray-light');
           }
 
           // Create status bar.
diff --git a/web/pgadmin/browser/static/js/node.ui.js b/web/pgadmin/browser/static/js/node.ui.js
index 064ca312..c14679b8 100644
--- a/web/pgadmin/browser/static/js/node.ui.js
+++ b/web/pgadmin/browser/static/js/node.ui.js
@@ -35,7 +35,7 @@ define([
           '</span></button>',
         ].join('')),
         $btnContainer = $(
-          '<div style="padding: 3px 0px; background-color: #2C76B4; margin-bottom: 3px;">'
+          '<div style="">'
         ).append($selectAll).append($unselectAll);
 
       if (!this.$element.prop('multiple')) {
diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index adbe9183..68579b59 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -106,7 +106,7 @@ define([
       '        </div>' +
       '      </div>' +
       '      <div class="col-sm-12 pg-prop-status-bar" style="visibility:hidden">' +
-      '        <div class="media error-in-footer bg-red-1 border-red-2 font-red-3 text-14">' +
+      '        <div class="media error-in-footer bg-danger-lighter border-danger-light text-danger text-14">' +
       '          <div class="media-body media-middle">' +
       '            <div class="alert-icon error-icon">' +
       '              <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>' +
diff --git a/web/pgadmin/preferences/static/js/preferences.js b/web/pgadmin/preferences/static/js/preferences.js
index eeaf4bb0..b57994cd 100644
--- a/web/pgadmin/preferences/static/js/preferences.js
+++ b/web/pgadmin/preferences/static/js/preferences.js
@@ -57,6 +57,7 @@ define('pgadmin.preferences', [
             model: PreferenceModel,
             url: url_for('preferences.index'),
             updateAll: function() {
+              // We will send only the modified data to the server.
               // We will send only the modified data to the server.
               for (var key in changed) {
                 this.get(key).save();
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 91350baa..f6dcee0c 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -108,7 +108,7 @@ define([
             var alertMessage = promptmsg;
             if (type === 'error') {
               alertMessage = '\
-                  <div class="media font-red-3 text-14">\
+                  <div class="media text-danger text-14">\
                     <div class="media-body media-middle">\
                       <div class="alert-text">' + promptmsg + '</div><br/>\
                       <div class="alert-text">' + gettext('Click for details.') + '</div>\
@@ -153,7 +153,7 @@ define([
         }
         if (contentType.indexOf('text/html') >= 0) {
           var alertMessage = '\
-                <div class="media font-red-3 text-14">\
+                <div class="media text-danger text-14">\
                   <div class="media-body media-middle">\
                     <div class="alert-text">' + gettext('INTERNAL SERVER ERROR') + '</div><br/>\
                     <div class="alert-text">' + gettext('Click for details.') + '</div>\
@@ -377,7 +377,7 @@ define([
   _.extend(alertify, {
     success: function(message, timeout, callback) {
       var alertMessage = '\
-      <div class="media font-green-3 text-14">\
+      <div class="media text-success text-14">\
         <div class="media-body media-middle">\
           <div class="alert-icon success-icon">\
             <i class="fa fa-check" aria-hidden="true"></i>\
@@ -389,7 +389,7 @@ define([
     },
     error: function(message, timeout, callback) {
       var alertMessage = '\
-      <div class="media font-red-3 text-14">\
+      <div class="media text-danger text-14">\
         <div class="media-body media-middle">\
           <div class="alert-icon error-icon">\
             <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>\
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog.js b/web/pgadmin/static/js/sqleditor/filter_dialog.js
index 8a48c867..30272751 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog.js
@@ -98,7 +98,7 @@ let FilterDialog = {
 
             // Status bar
             this.statusBar = $('<div class=\'pg-prop-status-bar pg-el-xs-12 hide\'>' +
-              '  <div class=\'media error-in-footer bg-red-1 border-red-2 font-red-3 text-14\'>' +
+              '  <div class=\'media error-in-footer bg-danger-lighter border-danger-light text-danger text-14\'>' +
               '    <div class=\'media-body media-middle\'>' +
               '      <div class=\'alert-icon error-icon\'>' +
               '        <i class=\'fa fa-exclamation-triangle\' aria-hidden=\'true\'></i>' +
diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index 4479f85c..250efa47 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -561,7 +561,6 @@ def direct_new(trans_id):
         is_desktop_mode=current_app.PGADMIN_RUNTIME,
         is_linux=is_linux_platform,
         client_platform=user_agent.platform,
-        stylesheets=[url_for('debugger.static', filename='css/debugger.css')],
     )
 
 
diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index 35a6970e..b7dd2b71 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -1062,8 +1062,6 @@ define([
         var stack_grid = this.stack_grid = new Backgrid.Grid({
           columns: stackGridCols,
           row: Backgrid.Row.extend({
-            highlightColor: '#D9EDF7',
-            disabledColor: '#F1F1F1',
             events: {
               click: 'rowClick',
             },
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 1316c7be..58db09ba 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1976,7 +1976,7 @@ define('tools.querytool', [
           self.gridView.query_tool_obj.setOption('readOnly', true);
           var cm = self.gridView.query_tool_obj.getWrapperElement();
           if (cm) {
-            cm.className += ' bg-gray-1 opacity-5 hide-cursor-workaround';
+            cm.className += ' bg-gray-lighter opacity-5 hide-cursor-workaround';
           }
           self.disable_tool_buttons(true);
           self.execute_data_query();
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index 0b5fe3aa..c0a31006 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -630,7 +630,7 @@ define([
               var footerTpl = _.template([
                   '<div class="pg-prop-footer" style="visibility:hidden;">',
                   '<div class="pg-prop-status-bar">',
-                  '<div class="media error-in-footer bg-red-1 border-red-2 font-red-3 text-14">',
+                  '<div class="media error-in-footer bg-danger-lighter border-danger-light text-danger text-14">',
                   '<div class="media-body media-middle">',
                   '<div class="alert-icon error-icon">',
                   '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>',
@@ -645,9 +645,7 @@ define([
                 ].join('\n')),
                 $statusBar = $(footerTpl()),
                 UserRow = Backgrid.Row.extend({
-                  userInvalidColor: 'lightYellow',
-
-                  userValidColor: '#fff',
+                  userInvalidClass: 'bg-user-invalid',
 
                   initialize: function() {
                     Backgrid.Row.prototype.initialize.apply(this, arguments);
@@ -656,10 +654,10 @@ define([
                   },
                   userInvalid: function() {
                     $(this.el).removeClass('new');
-                    this.el.style.backgroundColor = this.userInvalidColor;
+                    $(this.el).addClass(this.userInvalidClass);
                   },
                   userValid: function() {
-                    this.el.style.backgroundColor = this.userValidColor;
+                    $(this.el).removeClass(this.userInvalidClass);
                   },
                 }),
                 UserCollection = Backbone.Collection.extend({
diff --git a/web/webpack.config.js b/web/webpack.config.js
index 4dbf1357..f544a1e3 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -2,6 +2,7 @@
 // Import file, libraries and plugins
 const path = require('path');
 const webpack = require('webpack');
+const fs = require('fs');
 const sourceDir = __dirname + '/pgadmin/static';
 // webpack.shim.js contains path references for resolve > alias configuration
 // and other util function used in CommonsChunksPlugin.
@@ -10,8 +11,7 @@ const PRODUCTION = process.env.NODE_ENV === 'production';
 const envType = PRODUCTION ? 'production': 'development';
 const OptimizeCssAssetsPlugin = require('optimize-css-assets-webpack-plugin');
 const ExtractTextPlugin = require('extract-text-webpack-plugin');
-const extractStyle = new ExtractTextPlugin('style.css');
-const extractSass = new ExtractTextPlugin('pgadmin.css');
+const extractStyle = new ExtractTextPlugin('[name].css');
 const HardSourceWebpackPlugin = require('hard-source-webpack-plugin');
 
 // Extract vendor related libraries(node_modules/lib/lib.js) from bundles
@@ -100,6 +100,29 @@ const sourceMapDevToolPlugin = new webpack.SourceMapDevToolPlugin({
   columns: false,
 });
 
+/* Get all the style files recursively and store in array to
+ * give input to webpack. We are skipping pgadmin/static directory
+ * and adding it to array manually
+ */
+let pgadminStyles = [path.join(__dirname, './pgadmin/static/scss/pgadmin.scss')];
+var pushPgadminStyles = function(curr_path) {
+  if(path.join(__dirname, './pgadmin/static') === curr_path) {
+    return;
+  }
+
+  fs.readdirSync(curr_path).map(function(curr_file) {
+    let stats = fs.statSync(path.join(curr_path, curr_file));
+    /* if directory, dig further */
+    if(stats.isDirectory()) {
+      pushPgadminStyles(path.join(curr_path, curr_file));
+    }
+    else if(stats.isFile() && (curr_file.endsWith('.scss') || curr_file.endsWith('.css'))) {
+      pgadminStyles.push(path.join(curr_path, curr_file));
+    }
+  });
+}
+pushPgadminStyles(path.join(__dirname,'./pgadmin'));
+
 module.exports = {
   stats: { children: false },
   // The base directory, an absolute path, for resolving entry points and loaders
@@ -112,8 +135,8 @@ module.exports = {
     sqleditor: './pgadmin/tools/sqleditor/static/js/sqleditor.js',
     debugger_direct: './pgadmin/tools/debugger/static/js/direct.js',
     file_utils: './pgadmin/misc/file_manager/static/js/utility.js',
-    pgadmin_css: './pgadmin/static/scss/pgadmin.scss',
-    style_css: './pgadmin/static/css/style.css',
+    pgadmin: pgadminStyles,
+    style: './pgadmin/static/css/style.css',
   },
   // path: The output directory for generated bundles(defined in entry)
   // Ref: https://webpack.js.org/configuration/output/#output-library
@@ -252,8 +275,14 @@ module.exports = {
       },
     }, {
       test: /\.(jpe?g|png|gif|svg)$/i,
-      loaders: [
-        'file-loader?hash=sha512&digest=hex&name=img/[name].[ext]', {
+      loaders: [{
+          loader: 'url-loader',
+          options: {
+            emitFile: true,
+            name: 'img/[name].[ext]',
+            limit: 4096
+          }
+        }, {
           loader: 'image-webpack-loader',
           query: {
             bypassOnDebug: true,
@@ -276,7 +305,13 @@ module.exports = {
       exclude: /vendor/,
     }, {
       test: /\.(eot|svg|ttf|woff|woff2)$/,
-      loader: 'file-loader?name=fonts/[name].[ext]',
+      loaders: [{
+        loader: 'file-loader',
+        options: {
+          name: 'fonts/[name].[ext]',
+          emitFile: true
+        }
+      }],
       include: [
         /node_modules/,
         path.join(sourceDir, '/css/'),
@@ -286,13 +321,18 @@ module.exports = {
       exclude: /vendor/,
     }, {
       test: /\.scss$/,
-      use: extractSass.extract({
+      use: extractStyle.extract({
         use: [{
           loader: 'css-loader',
         }, {
           loader: 'sass-loader', // compiles Sass to CSS
+        }, {
+          /* This will @import with below resources to all scss files */
+          loader: 'sass-resources-loader',
           options: {
-            includePaths: ['./pgadmin/static/scss/'],
+            resources: [
+              './pgadmin/static/scss/resources/pgadmin.resources.scss'
+            ],
           },
         }],
       }),
@@ -325,7 +365,6 @@ module.exports = {
   // Define list of Plugins used in Production or development mode
   // Ref:https://webpack.js.org/concepts/plugins/#components/sidebar/sidebar.jsx
   plugins: PRODUCTION ? [
-    extractSass,
     extractStyle,
     vendorChunks,
     pgAdminCommonChunks,
@@ -335,7 +374,6 @@ module.exports = {
     definePlugin,
     sourceMapDevToolPlugin,
   ]: [
-    extractSass,
     extractStyle,
     vendorChunks,
     pgAdminCommonChunks,
